> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Deactivate a content type

DELETE https://api.contentful.com/spaces/{space_id}/environments/{environment_id}/content_types/{content_type_id}/published

Reference: https://contentful.com/developers/docs/references/content-management-api/content-types/deactivate-a-content-type

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `space_id` (string, required) — ID of the space in form of a string
- `environment_id` (string, required) — ID of the environment in form of a string
- `content_type_id` (string, required) — ID of the content type in form of a string

## Response

### 200

OK - Request successful

- `map from string to any`

## Examples

**Response**

```json
{
  "fields": [
    {
      "id": "title",
      "localized": true,
      "name": "Title",
      "required": true,
      "type": "Text"
    },
    {
      "id": "body",
      "localized": true,
      "name": "Body",
      "required": true,
      "type": "Text"
    }
  ],
  "name": "Blog Post",
  "sys": {
    "firstPublishedAt": "2025-05-09T06:11:22.000Z",
    "publishedCounter": 2
  }
}
```

**SDK Code**

```android Android
// Create the Contentful client.
final CMAClient client =
    new CMAClient
        .Builder()
        .setAccessToken("<access_token>")
        .setSpaceId("<space_id>")
        .setEnvironmentId("<environment_id>")
        .build();

// To deactivate a content type, you need to unpublish it.

// But first, fetch it from Contentful.
client
    .contentTypes()
    .async()
    .fetchOne(
        "<content_type_id>",
        new CMACallback<CMAContentType>() {
          @Override protected void onSuccess(CMAContentType contentType) {
            // Now unpublish it to deactivate it.
            client
                .contentTypes()
                .async()
                .unPublish(
                    contentType,
                    new CMACallback<CMAContentType>() {
                      @Override protected void onSuccess(CMAContentType result) {
                        // Done.
                        new AlertDialog.Builder(context)
                            .setTitle("Contentful")
                            .setMessage("Deactivation of a content type was successful." +
                                "\n\nResult: " + result)
                            .show();
                      }

                      @Override protected void onFailure(RuntimeException exception) {
                        // An error occurred! Inform the user.
                        new AlertDialog.Builder(context)
                            .setTitle("Contentful Error")
                            .setMessage("Could not deactivate a content type." +
                                "\n\nReason: " + exception.toString())
                            .show();

                        super.onFailure(exception);
                      }
                    }
                );
          }

          @Override protected void onFailure(RuntimeException exception) {
            // An error occurred! Inform the user.
            new AlertDialog.Builder(context)
                .setTitle("Contentful Error")
                .setMessage("Could not fetch a content type." +
                    "\n\nReason: " + exception.toString())
                .show();

            super.onFailure(exception);
          }

        }
    );
```

```java Java
// Create the Contentful client.
final CMAClient client =
    new CMAClient
        .Builder()
        .setAccessToken("<access_token>")
        .setSpaceId("<space_id>")
        .setEnvironmentId("<environment_id>")
        .build();

// To deactivate a content type, you need to unpublish it.

// But first, fetch it from Contentful.
final CMAContentType contentType =
    client
        .contentTypes()
        .fetchOne("<content_type_id>");

// Now unpublish it to deactivate it.
final CMAContentType published = client
    .contentTypes()
    .unPublish(contentType);
```

```kotlin Kotlin
// Create the Contentful client.
val client = CMAClient.Builder()
    .setAccessToken("<access_token>")
    .setSpaceId("<space_id>")
    .setEnvironmentId("<environment_id>")
    .build()

// To deactivate a content type, you need to unpublish it.

// But first, fetch it from Contentful.
val contentType = client
        .contentTypes()
        .fetchOne("<content_type_id>")

// Now unpublish it to deactivate it.
val published = client
        .contentTypes()
        .unPublish(contentType)
```

```swift Swift
We currently don't provide a CMA SDK for this platform.
```

```js-legacy JavaScript (legacy)
import { createClient } from 'contentful-management'

const client = createClient({
  accessToken: '<content_management_api_key>'
}, { type: 'legacy' })

client.getSpace('<space_id>')
.then((space) => space.getEnvironment('<environment_id>'))
.then((environment) => environment.getContentType('<content_type_id>'))
.then((contentType) => contentType.unpublish())
.then((contentType) => console.log(`Content type ${contentType.sys.id} deactivated.`))
.catch(console.error)
```

```javascript JavaScript
import { createClient } from 'contentful-management'

// Client init
const client = createClient({
  accessToken: '<content_management_api_key>'
})

await client.contentType.unpublish({
  spaceId: '<space_id>',
  environmentId: '<environment_id>',
  contentTypeId: '<content_type_id>',
});
```

```php PHP
$client = new \Contentful\Management\Client('<content_management_api_key>');

$environment = $client->getEnvironmentProxy('<space_id>', '<environment_id>');

$contentType = $environment->getContentType('<content_type_id>');
$contentType->unpublish();
```

```ruby Ruby
require 'contentful/management'

client = Contentful::Management::Client.new('<content_management_api_key>')

content_type = client.content_types('<space_id>', '<environment_id>').find('<content_type_id>')
content_type.unpublish
```

```python Python
from contentful_management import Client

client = Client('<content_management_api_key>')

content_type = client.content_types('<space_id>', '<environment_id>').find('<content_type_id>')
content_type.unpublish()
```

```.net .NET
// This client should only be created once per application.
var httpClient = new HttpClient();

var client = new ContentfulManagementClient(httpClient, "<content_management_api_key>", "<space_id>");

var contentType = await client.DeactivateContentType("<content_type_id>");
```